---
layout: page
title: About
permalink: /about/
---

## Purpose

Too many of our communities, especially online, adopt default governance practices based on top-down "[implicit feudalism](https://osf.io/gxu3a/?view_only=11c9e93011df4865951f2056a64f5938)"—relying on admins or moderators, lacking even basic features of small-scale democracy. The purpose of CommunityRule is to help communities establish democratic norms for decision-making, stewardship, and culture.

This is a very preliminary prototype. Its eventual purpose is to do for governance what the [Contributor Covenant](https://www.contributor-covenant.org/) has done for shared norms—enable simple, drag-and-drop adoption of common-sense community tools. Since communities have diverse governance needs, however, a one-size-fits-all approach will not suffice. The goal is for communities to easily and intuitively design governance systems appropriate to their contexts.

CommunityRule is a project of the [Media Enterprise Design Lab](https://cmci.colorado.edu/medlab/) at the University of Colorado Boulder, in collaboration with the [Metagovernance Project](http://metagov.org/).

This tool is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/4.0/">Creative Commons Attribution-ShareAlike 4.0 International License</a>, which means that anyone has the right to use and adapt it, the result of which must be shared under the same license. This gives communities using CommunityRule the right to learn from one another.

## Contributors

Anyone who finds this project useful, or potentially so, is welcome to contribute suggestions, changes, and additions. To do so, post Issues and Merge Requests to the project [on GitLab](https://gitlab.com/medlabboulder/communityrule), or send an email to medlab@colorado.edu.

## Stewardship

CommunityRule is currently administered and primarily authored by MEDLab director Nathan Schneider.

## Evolution

If a community of contributors and users forms around CommunityRule, it should develop into a more community-driven governance model with the help of CommunityRule itself.

<!--
## Points of reference

* [Contributor Covenant](https://www.contributor-covenant.org/)
* [Metagovernance Project](http://metagov.org/)
    - "[Admins, Mods, and Benevolent Dictators for Life](https://osf.io/gxu3a/?view_only=11c9e93011df4865951f2056a64f5938)"
    - "[Modular Politics](https://ntnsndr.in/modular-politics)"
* Monastic rules
    - Rule of St. Augustine
    - Rule of St. Benedict
    - Rule of St. Clare
    - [unMonastery](http://unmonastery.org/)
        - Ben Vickers, "[Rules and Rhythms](https://www.e-flux.com/architecture/digital-x/260389/rules-and-rhythms/)," _e-flux_ (2019)
* [One Click Orgs](https://web.archive.org/web/20190911090644/http://www.oneclickorgs.com/)
* Online communities
    - [Loomio Community Group](https://loomio.coop/community_group.html)
    - [Social.coop bylaws](https://wiki.social.coop/rules-and-bylaws/Bylaws-for-social.coop.html)
* [Prototyping Work](https://prototyping.work)
    - [Decision-making](https://prototyping.work/category/decision-making/)
    - [Structure](https://prototyping.work/category/structure/)
* Sociocracy
    - Sociocracy for All, "[Governance Agreements in Sociocracy](Governance Agreements in Sociocracy)"
* Software communities
    - [Apache](https://apache.org/foundation/governance/)
    - [Debian](https://www.debian.org/devel/constitution)
    - [Python](https://www.python.org/dev/peps/pep-8016/)
    - [Wikipedia](https://en.wikipedia.org/wiki/Wikipedia:Administration)
* [Virtual Communities for Impact](https://communitiesforimpact.org/)

## Design goals


* Rules (ready-to-deploy presets)
    - Create pretty rule.html template for finished Rules (custom and preset) that people can link to
    - Brand them as CommunityRule rules with tools to create badges out of them
    - Use Javascript to make the rule.html template editable like create.html
* Javascript output button
* Further modularity
    - Aim for a logic of [progressive disclosure](https://en.wikipedia.org/wiki/Progressive_disclosure), making templates really simple but facilitating more complex iteration
    - In _modules, develop pseudocode primitives and complex modules with inputs, outputs, and actions
* Compatibility with Loomio?
    - Translate each module into Loomio practices, implicitly or explicitly (e.g., time for a proposal, threshold, voting options)
* Module system with database
    - JavaScript pulling from GDocs?
    - Use Jekyll yaml data to create modules
    - Jekyll csv data pull? https://jekyllrb.com/docs/datafiles/
-->
